function HUE_Searcher(){

   HUE_GUI.page.ShowPopup(HUE_GUI.wait.Name);
   IR.AddListener(IR.EVENT_WORK, 0, player); 
      
   var panel_host = IR.GetVariable("Drivers.HUE_Searcher.IP").split(".");
                                                        
   panel_host = panel_host[0] + "." + panel_host[1] + "." + panel_host[2] + ".";

   var i = 2;      
   function search_f(){    
            
      var last = panel_host + i;
      var device = IR.CreateDevice(IR.DEVICE_CUSTOM_HTTP_TCP, "search", last, 80);
                                                                                      
      device.Connect();
      IR.SetTimeout(100,function(){
         device.Send(["GET,/api/iridiumuser/", "\r\n\r\n"]); 
      });
         
      IR.AddListener(IR.EVENT_RECEIVE_TEXT, device, function(text){
         IR.Log(text);
         switch(text.charAt(0) + text.charAt(1)){
              case "[{":
                  IR.ClearInterval(interval);
                  HUE(last);
                  IR.SetVariable("Global.HUE_IP", last);                  
                  HUE_GUI.Page.HidePopup(HUE_GUI.wait.Name); 
                  IR.RemoveListener(IR.EVENT_WORK, 0, player);  // off animation          
               break;
         }               
      }); 
      HUE_GUI.status.Value = i / 255 * 100;
      if(i < 255)
         i++;
      if(i == 255){
         HUE_GUI.page.ShowPopup(HUE_GUI.disconnect.Name); 
         IR.ClearInterval(interval);   
      }          
   };
            
   var interval = IR.SetInterval(300, search_f);            
};

function HUE_Searcher_Check(){

   if(!IR.GetVariable("Global.HUE_IP"))
      IR.SetTimeout(1000, HUE_Searcher)
   else
      HUE(IR.GetVariable("Global.HUE_IP"));
}

IR.AddListener(IR.EVENT_START, 0, HUE_Searcher_Check);     

IR.AddListener(IR.EVENT_ITEM_RELEASE, HUE_GUI.search, HUE_Searcher);